libzypp 17.37.10

zypp::Range< Tp, TCompare > Struct Template Reference

`#include <zypp/Range.h>`

## Public Member Functions
| Range ()
| Default ctor: Rel::ANY.
| Range (const Tp &value_r)
| Ctor taking Tp (Rel::EQ).
| Range (Rel op_r, const Tp &value_r)
| Ctor taking Rel and Tp.
bool | overlaps (const Range &rhs) const
| Return whether two Ranges overlap.

## Public Attributes
Rel | op
Tp | value

## Detailed Description

template<class Tp, class TCompare = Compare<Tp>>
struct zypp::Range< Tp, TCompare >

Definition at line 34 of file Range.h.

## Constructor & Destructor Documentation

## ◆ Range() [1/3]

template<class Tp, class TCompare = Compare<Tp>>

zypp::Range< Tp, TCompare >::Range | ( |  | ) |
| inline

Default ctor: Rel::ANY.

Definition at line 42 of file Range.h.

## ◆ Range() [2/3]

template<class Tp, class TCompare = Compare<Tp>>

zypp::Range< Tp, TCompare >::Range | ( | const Tp & | value_r | ) |
| inline

Ctor taking Tp (Rel::EQ).

Definition at line 47 of file Range.h.

## ◆ Range() [3/3]

template<class Tp, class TCompare = Compare<Tp>>

zypp::Range< Tp, TCompare >::Range | ( | Rel | op_r,
|  | const Tp & | value_r )
| inline

Ctor taking Rel and Tp.

Definition at line 53 of file Range.h.

## Member Function Documentation

## ◆ overlaps()

template<class Tp, class TCompare = Compare<Tp>>

bool zypp::Range< Tp, TCompare >::overlaps | ( | const Range< Tp, TCompare > & | rhs | ) | const
| inline

Return whether two Ranges overlap.

Definition at line 59 of file Range.h.

## Member Data Documentation

## ◆ op

template<class Tp, class TCompare = Compare<Tp>>

Rel zypp::Range< Tp, TCompare >::op

Definition at line 37 of file Range.h.

## ◆ value

template<class Tp, class TCompare = Compare<Tp>>

Tp zypp::Range< Tp, TCompare >::value

Definition at line 39 of file Range.h.

The documentation for this struct was generated from the following file:

- zypp/Range.h